- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QGraphicsAnchorLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 82 of file qgraphicsanchorlayout.h.

`#include <qgraphicsanchorlayout.h>`

Inheritance diagram for QGraphicsAnchorLayout:
[legend]

List of all members.

## Public Member Functions
| QGraphicsAnchorLayout (QGraphicsLayoutItem *parent=0)
virtual | ~QGraphicsAnchorLayout ()
QGraphicsAnchor * | addAnchor (QGraphicsLayoutItem *firstItem, Qt::AnchorPoint firstEdge, QGraphicsLayoutItem *secondItem, Qt::AnchorPoint secondEdge)
QGraphicsAnchor * | anchor (QGraphicsLayoutItem *firstItem, Qt::AnchorPoint firstEdge, QGraphicsLayoutItem *secondItem, Qt::AnchorPoint secondEdge)
void | addCornerAnchors (QGraphicsLayoutItem *firstItem, Qt::Corner firstCorner, QGraphicsLayoutItem *secondItem, Qt::Corner secondCorner)
void | addAnchors (QGraphicsLayoutItem *firstItem, QGraphicsLayoutItem *secondItem, Qt::Orientations orientations=Qt::Horizontal|Qt::Vertical)
void | setHorizontalSpacing (qreal spacing)
void | setVerticalSpacing (qreal spacing)
void | setSpacing (qreal spacing)
qreal | horizontalSpacing () const
qreal | verticalSpacing () const
void | removeAt (int index)
void | setGeometry (const QRectF &rect)
int | count () const
QGraphicsLayoutItem * | itemAt (int index) const
void | invalidate ()
## Protected Member Functions
QSizeF | sizeHint (Qt::SizeHint which, const QSizeF &constraint=QSizeF()) const
## Friends
class | QGraphicsAnchor

## Constructor & Destructor Documentation

QGraphicsAnchorLayout | ( | QGraphicsLayoutItem * | parent = `0` | ) |

virtual ~QGraphicsAnchorLayout | ( |  | ) | `[virtual]`

## Member Function Documentation

QGraphicsAnchor* addAnchor | ( | QGraphicsLayoutItem * | firstItem,
|  | Qt::AnchorPoint | firstEdge,
|  | QGraphicsLayoutItem * | secondItem,
|  | Qt::AnchorPoint | secondEdge
| ) |  |

Search for all occurrences

QGraphicsAnchor* anchor | ( | QGraphicsLayoutItem * | firstItem,
|  | Qt::AnchorPoint | firstEdge,
|  | QGraphicsLayoutItem * | secondItem,
|  | Qt::AnchorPoint | secondEdge
| ) |  |

Search for all occurrences

void addCornerAnchors | ( | QGraphicsLayoutItem * | firstItem,
|  | Qt::Corner | firstCorner,
|  | QGraphicsLayoutItem * | secondItem,
|  | Qt::Corner | secondCorner
| ) |  |

Search for all occurrences

void addAnchors | ( | QGraphicsLayoutItem * | firstItem,
|  | QGraphicsLayoutItem * | secondItem,
|  | Qt::Orientations | orientations = `Qt::Horizontal|Qt::Vertical`
| ) |  |

Search for all occurrences

void setHorizontalSpacing | ( | qreal | spacing | ) |

Search for all occurrences

void setVerticalSpacing | ( | qreal | spacing | ) |

Search for all occurrences

void setSpacing | ( | qreal | spacing | ) |

Search for all occurrences

qreal horizontalSpacing | ( |  | ) | const

Search for all occurrences

qreal verticalSpacing | ( |  | ) | const

Search for all occurrences

void removeAt | ( | int | index | ) | `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

void setGeometry | ( | const QRectF & | rect | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsLayoutItem.

int count | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

QGraphicsLayoutItem* itemAt | ( | int | index | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsLayout.

void invalidate | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsLayout.

QSizeF sizeHint | ( | Qt::SizeHint | which,
|  | const QSizeF & | constraint = `QSizeF()`
| ) |  | const `[protected, virtual]`

Search for all occurrences

Implements QGraphicsLayoutItem.

## Friends And Related Function Documentation

friend class QGraphicsAnchor `[friend]`

Search for all occurrences

Definition at line 119 of file qgraphicsanchorlayout.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsanchorlayout.h

QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout
QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout QGraphicsAnchorLayout